MCP tools
screenshot
The current screen as an image.
| REST operation | screenshot (GET /v1/devices/{deviceId}/screenshot) |
| Needs a device | yes |
| Read only | yes |
| Profiles | full |
Parameters
Section titled “Parameters”| Name | Required | Type | Goes to | What it is |
|---|---|---|---|---|
device_id |
yes | string | path deviceId |
Stable device id such as ios:00008120-001A2B3C4D5E6F70 or android:R58M123ABC. |
lease |
no | string | header Silan-Lease |
Lease token when the device is claimed. |
format |
no | png, jpeg, heic |
query format |
|
max_long_edge |
no | integer | query maxLongEdge |
Example call
Section titled “Example call”screenshot({ device_id: "ios:00008120-001A2B3C4D5E6F70" })